Bug 198215 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: guile (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 10:32 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 07:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 10:32:13 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


guile-1.8.0-5
undefined symbol: pthread_create        (/usr/lib/libguile.so.17)
undefined symbol: pthread_getspecific   (/usr/lib/libguile.so.17)
undefined symbol: pthread_attr_getstack (/usr/lib/libguile.so.17)
undefined symbol: pthread_detach        (/usr/lib/libguile.so.17)
undefined symbol: pthread_once  (/usr/lib/libguile.so.17)
undefined symbol: pthread_key_create    (/usr/lib/libguile.so.17)
undefined symbol: pthread_getattr_np    (/usr/lib/libguile.so.17)
undefined symbol: pthread_sigmask       (/usr/lib/libguile.so.17)
undefined symbol: pthread_mutexattr_settype     (/usr/lib/libguile.so.17)
undefined symbol: pthread_mutexattr_init        (/usr/lib/libguile.so.17)
undefined symbol: pthread_setspecific   (/usr/lib/libguile.so.17)
Comment 1 Miroslav Lichvar 2006-07-12 07:21:19 EDT
Fixed in guile-1.8.0-6.20060712cvs.

Note You need to log in before you can comment on or make changes to this bug.